Subject: [Extra] Proposed Draft: Submission Token extension

From: Michael Slusarz <[email-masked]>
Date: Wed, 20 Mar 2019 14:37:28 -0600 (MDT)

All,

We are actively working on initiatives to improve delivery of smaller, more real-time messaging across the existing mail infrastructure.  As part of that work, we are looking to implement improvements in reducing delivery latency, while secondarily increasing transport security and trust.  As this would be generally useful for any mail delivery, it makes the most sense to pursue standardization of these efforts.

>From the draft abstract: "This document specifies an extension to a SMTP submission server that allows synchronous message delivery via use of a limited-privilege authentication token."

At the moment, I am aware that extra has been chartered to explicitly exclude "SMTP/LMTP" work.  However, discussing with Bron, there may be some interest to expand the scope to include this.  At the very least, it seems like an appropriate topic to discuss during next week's meetings.

Through some upload incompetence and naivety on my part, a formal draft tracking page doesn't exist.  For now, this link to the draft will have to do:
https://www.ietf.org/staging/draft-ietf-extra-smtp-submission-token-00.txt

I'll be attending the Prague meeting for a portion of the week, so looking forward to discussing this topic (and others) when I am there.

michael